function X = XgenerationVeryStrongCorrGroupEffect(n)
%Cette fonction genere la matrice de design X i.e. elle met en ligne n vecteurs tires suivant une loi  normale multidimensionnelle dont la matrice de covariance est diagonale par bloque.

%Choix du nombre de variables (hors intercept)

p=40;

%Choix de la matrice de covariance des variables.
Sigma=zeros(p,p);
SigmaGroupFeatures=ones(5,5)+diag(0.01*ones(1,5));
SigmaPurNoiseFeatures=eye(25);
Sigma=blkdiag(SigmaGroupFeatures,SigmaGroupFeatures,SigmaGroupFeatures,SigmaPurNoiseFeatures);



%Obtention de la matrice de design non-recentree
Xnonc=zeros(n,p);
for i=1:n
u=randn(p,1);
v=sqrtm(Sigma)*u;
Xnonc(i,:)=v';
end

means=mean(Xnonc);
X=Xnonc-repmat(means,n,1);

