function B = ElasticNetXYlambdaAdapHubercc(Xtr,Ytr,lambda1,lambda2,betaUNP)

%Cette fonction sort et etudie EN :
%l'estimateur est calcule sur (Xtr,Ytr) 

%Cette fonction sort une structure B. Cette structure contient
% B.salphabeta vecteur colonne de taille p+2.  
%Ytr est un vecteur colonne contenant les labels associes aux n lignes de Xtr.

p=length(betaUNP);
M=1.345;
[n,p]=size(Xtr);

%[toto,p]=size(Xtr);

%normalisation en variance des variables contenues dans la matrice de design de l'echantillon d'apprentissage

%sqtr=sqrt(sum(Xtr.^2));
%Xtr=Xtr*diag(1./sqtr);

cvx_begin
variables alphaa betaanaive(p) s v(n);
minimize (n*s+quad_over_lin(Ytr-alphaa-Xtr*betaanaive-v,s)+2*M*norm(v,1)+lambda1*norm(betaanaive./betaUNP,1)+lambda2*quad_over_lin(betaanaive,1))
subject to
s > 0;
cvx_end
v=size(Xtr);
betaa=(1+lambda2/(v(1)))*betaanaive;

salphabeta=[s;alphaa;betaa];
B.salphabeta=salphabeta;
