function E = ElasticNetvdetailsforpaper2Adap(Xtr,Ytr,Xte,Yte,lambda1,lambda2,betaUNP)
%cette fonction calcul et sort l'erreur de prediction E calculee sur (Yte,Xte) de 
%l'estimateur calcule par EN sur (Xtr,Ytr) avec constante de
%penalisation lambda1, lambda2.. 


%Ytr est un vecteur colonne de taille 4n/5 contenant les labels associes aux 4n/5 lignes de Xtr
%Yte est un vecteur colonne de taille n/5 contenant les labels associes aux n/5 lignes de Xte
p=length(betaUNP);
M=1.345;
[n5,p]=size(Xtr);

%[toto,p]=size(Xtr);

%normalisation en variance des variables contenues dans la matrice de design contenant  4n/5 individus (lignes de Xtr)
%sqtr=sqrt(sum(Xtr.^2));
%Xtr=Xtr*diag(1./sqtr);

%normalisation en variance des variables contenues dans la matrice de design contenant  n/5 individus ( autres lignes de Xtr) afin de pouvoir calculer l'erreur de prediction
%sqte=sqrt(sum(Xte.^2));

cvx_begin
variables alphaa betaanaive(p) s v(n5);
minimize (n5*s+quad_over_lin(Ytr-alphaa-Xtr*betaanaive-v,s)+2*M*norm(v,1)+ lambda1*norm(betaanaive./betaUNP,1)+lambda2*quad_over_lin(betaanaive,1))
subject to
s > 0;
cvx_end
u=size(Xtr);
betaa=(1+lambda2/(u(1)))*betaanaive;
%betaa=(1+lambda2)*betaanaive;

%E=mean((Yte-alphaa-(Xte*diag(1./sqte))*betaa).^2);
E=mean((Yte-alphaa-Xte*betaa).^2);
