function [r]= mixtgaussrnd(eps,n)
  %fonction generant n realisations iid d'une N(O,1) perturbee avec proportion eps d'outliers 
  %i.e. (en utilisant la fonction de repartition) n realisations iid de la variable aleatoire X_{\epsilon} de densite (1-eps)*densite de N(0,1)+eps*densite de  N(0,225). 
%Note : \sqrt{Var(X_{\epsilon})}=\sqrt{1+224*\epsilon}.

%la sortie r est un vecteur ligne de taille n.
%Cette fonction est differente de celle du repertoire Ondelette car l'ecart type des outliers y est de 4 au lieu de 15 ici.


for i=1:n,
	u=rand(1);
if u<1-eps, r(i)=randn(1);
  end
if  u>=1-eps, r(i)=15*randn(1);
	end
end
